<?
session_start();
include("opendb.php");
if($sv)
{
 if(strlen($engine)<=1)
   return;
 $code=substr(time(),7,3).date(s);
 $sql="insert into enginemaster values('$code','$engine')";
 mysqli_query($db,$sql) or die('error:'.mysqli_error());
}
if($del)
{
  $sql="delete from enginemaster where code='$code'";
 mysqli_query($db,$sql) or die(mysqli_error());
}
?>
<link rel="stylesheet" href="style.css" type="text/css" />
<script>
function valid()
{
 if(document.f1.config.value.length<=0)
 { alert ('Invalid Configuration'); return false;}
}
</script>
<center>
<form name='f1' action='<?print $PHP_SELF?>' onSubmit="return valid()"> 
<table cellspacing=1 cellpadding=5 bgcolor=steelblue>
<tr><td align=center colspan=2><font color=white><b>E N G I N E &nbsp; M A S T E R</td> </tr>
<tr bgcolor=white><td>Engine </td><td><input type=text size=50 name='engine'></td></tr>
<tr><td colspan=2 align=center><input type=submit value='Save' name='sv'></td></tr>
</table>
</form>

<?
$result=mysqli_query($db,"select * from enginemaster order by engine");
print "<table cellspacing=1 cellpadding=5 bgcolor='lightsteelblue'>";
print "<th>No <th>Name  <th>Del";
$i=1;
while($row=mysqli_fetch_row($result))
{
 print "\n<tr bgcolor=white><form action='$PHP_SELF'><input type=hidden name='code' value='$row[0]'><td>".$i++."</td><td>$row[1]</td><td><input type=submit value='Del' name='del'></td></form></tr>";
}
?>
</table>
